KnowledgeBase
Upload a knowledge document (JSON body with base64 or utf8 content)
Authorization
SupabaseBearer AuthorizationBearer <token>
Supabase user access token (Authorization: Bearer JWT)
In: header
Path Parameters
kbId*string
Format
uuidHeader Parameters
x-organization-id*string
Must match the organizationId path segment
Format
uuidx-organization-role*string
Portal impersonation role (pair with x-organization-id)
Value in
- "ORG_ADMIN"
- "ORG_MEMBER"
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/knowledge-base/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/upload" \ -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "x-organization-role: ORG_ADMIN" \ -H "Content-Type: application/json" \ -d '{ "fileName": "string", "mimeType": "string", "content": "string" }'{}{ "message": "string"}Empty
{ "message": "string"}{ "message": "string"}Empty
Empty